summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-nntp/hellanzb/files/hellanzb.init')
-rw-r--r--net-nntp/hellanzb/files/hellanzb.init41
1 files changed, 41 insertions, 0 deletions
diff --git a/net-nntp/hellanzb/files/hellanzb.init b/net-nntp/hellanzb/files/hellanzb.init
new file mode 100644
index 000000000000..be318d56c49d
--- /dev/null
+++ b/net-nntp/hellanzb/files/hellanzb.init
@@ -0,0 +1,41 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+opts="start stop"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting hellanzb"
+ if ! check_config ; then
+ eend 1
+ return 1
+ fi
+ if [ "${RC_CMD}" = "restart" ] ; then
+ sleep 1 # wait for socket to be released
+ fi
+
+ start-stop-daemon --start -c ${HELLA_USER} \
+ -g ${HELLA_GROUP} --name hellanzb.py \
+ --exec /usr/bin/hellanzb.py -- \
+ -D -c ${HELLA_CONFIGFILE} ${HELLA_OPTS} &> /dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping hellanzb"
+ /usr/bin/hellanzb.py shutdown &> /dev/null
+ eend $?
+}
+
+check_config() {
+ if [ ! -e ${HELLA_CONFIGFILE} ] ; then
+ eerror "ERROR: can't find ${HELLA_CONFIGFILE}."
+ return 1
+ else
+ return 0
+ fi
+}